using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Transport.DAL;
using System.Data;
namespace Transport.BLL
{
    class bll_cost_group
    {
        // فرخوانی متد انتخاب همه رکوردهای  جدول گروه هزینه ها توسط این متد انجام میگیرد
        public static DataTable SelectAllRecord(string TableName)
        {
            return dal_commonCrud.SelectAllRecords(TableName);
        }

        //جستجو در جدول گروه هزینه ها بر اساس رشته پرس و جوی ارسالی از فرم
        public static DataTable search_in_company(string SQLQuery)
        {
            DataTable SearchResultTable = dal_commonCrud.search(SQLQuery);
            return SearchResultTable;
        }

        // فراخوانی متد اجرای دستورات توسط این متد انجام میگیرد
        public static bool RunQuery(string SQLQuery)
        {
            bool TransactionResult = dal_commonCrud.RunQuery(SQLQuery);
            return TransactionResult;
        }

        #region checkRecordExist
        public static bool checkRecordExist(string tableName, string fieldName, string fieldValue)
        {
            bool result = dal_commonCrud.checkRecordExists(tableName, fieldName, fieldValue);

            return result;
        }
        #endregion

    }
}
